augroup whitespace
  au BufWinEnter *.py let w:m2=matchadd('WarningMsg', '\%>88v.\+', -1)
  au BufWinLeave *.py call clearmatches()
augroup END

let filename = expand('%:p:t')
if (filename[:3] ==# 'test') || (filename[-4:] ==# 'test')
  if executable('pytest') | compiler pytest | else | compiler pyunit | endif
else
  compiler flake8
endif

setlocal makeprg=pytest\ --tb=short\ -vv\ $*\ %
setlocal formatprg=python3\ -m\ macchiato

setlocal foldmethod=indent
setlocal foldlevel=99

setlocal define=^\\s*\\(class\\\|def\\\)
setlocal path+=./tests,./templates,./tests/conftest.py

nmap <buffer> gs :10 split term://python3 %<cr>:startinsert<cr>
nmap <buffer> <leader>! :10 split term://ipython<cr>
nmap <buffer> <C-h> :!nvim-keywordprg python <cword><cr>
nmap <buffer> <localleader>dd :10 split term://python3 -m pdb '%:p'<cr>
nmap <buffer> <silent> gO :lua vim.lsp.buf.document_symbol()<cr>
nmap <buffer> <silent> g= :!black --quiet %<cr>:!isort -q %<cr>:redraw!<cr>

ia <buffer> pp print(f"DEBUG:")<Left><Left>
ia <buffer> bb breakpoint()<Esc>mb
