let $FZF_BIBTEX_CACHEDIR = '.cache/bibtex-ls'
let $FZF_BIBTEX_SOURCES = '/home/chl/Documents/notes/references.bib'

function! bibtex#bibtex_ls_in() abort
  let bibfiles = (
      \ globpath('.', '*.bib', v:true, v:true) +
      \ globpath('..', '*.bib', v:true, v:true) +
      \ globpath('*/', '*.bib', v:true, v:true)
      \ )
  let bibfiles = join(bibfiles, ' ')
  let source_cmd = 'bibtex-ls '.bibfiles
  return source_cmd
endfunction

function! bibtex#bibtex_cite_sink_insert(lines) abort
    let r=system("bibtex-cite ", a:lines)
    execute ':normal! a' . r
    call feedkeys('a', 'n')
endfunction

function! bibtex#bibtex_cite_tex_sink(lines) abort
    let r=system("bibtex-cite -mode=latex", a:lines)
    execute ':normal! a' . r
endfunction

function! bibtex#bibtex_cite_sink(lines) abort
    let r=system("bibtex-cite ", a:lines)
    execute ':normal! a' . r
endfunction

function! bibtex#open_bibtex_key() abort
  let s:uri = split(split(expand('<cWORD>'), '{')[1], ',')[0]
  if s:uri !=# ''
    silent exec "!zathura ~/Documents/papers/'".s:uri."'.* &"
  else
    echo 'No match found.'
  endif
endfunction
