local disabled_built_ins = {
  "gzip",
  "zip",
  "zipPlugin",
  "tar",
  "tarPlugin",
  "getscript",
  "getscriptPlugin",
  "vimball",
  "vimballPlugin",
  "2html_plugin",
  "tutor_mode_plugin",
  "logipat",
  "rrhelper",
  "spellfile_plugin",
}

for _, plugin in pairs(disabled_built_ins) do
  vim.g["loaded_" .. plugin] = 1
end

require("plugins")
require("settings")
require("settings.mappings")
require("settings.autocmd")
require("settings.command")
require("settings.abbrev")
require("utils.completion").setup({
  delay = { completion = 1e7 },
  window_dimensions = { info = { height = 10 } },
  lsp_completion = { source_func = "omnifunc", auto_setup = false },
  mappings = {
    force_twostep = "<tab>",
    force_fallback = "<C-Space>",
  },
})

-- HACK: work around bad detection of background in Tmux (no OSC11 support)
-- https://github.com/neovim/neovim/issues/17070
-- vim.api.nvim_exec(
--   [[
-- if $TERM ==# "tmux-256color"
--   lua vim.loop.fs_write(2, "\27Ptmux;\27\27]11;?\7\27\\", -1, nil)
-- endif
-- ]],
--   true
-- )

vim.cmd([[set statusline=%!v:lua.require'utils.statusline'.statusline()]])
-- HACK above no longer works. Set background manually
vim.cmd([[set background=light]])
vim.cmd([[colorscheme plain]])
