local opts = {
  tools = {
    executor = require("rust-tools.executors").termopen,
    reload_workspace_from_cargo_toml = true,
    inlay_hints = {
      auto = true,
      only_current_line = true,
      show_parameter_hints = false,
      parameter_hints_prefix = "› ",
      other_hints_prefix = "» ",
      max_len_align = false,
      max_len_align_padding = 1,
      right_align = false,
      right_align_padding = 7,
      highlight = "Comment",
    },
    crate_graph = {
      backend = "x11",
      output = nil,
      full = false,
    },
  },
  server = {
    standalone = true,
    -- FIXME: better to use lsp_attach() from config.lsp
    on_attach = function(client, bufnr)
      vim.api.nvim_buf_set_option(bufnr, "omnifunc", "v:lua.MiniCompletion.completefunc_lsp")
      vim.keymap.set("n", "[d", vim.diagnostic.goto_prev)
      vim.keymap.set("n", "]d", vim.diagnostic.goto_next)
      vim.keymap.set("n", "<leader>wd", vim.diagnostic.open_float)
      vim.keymap.set("n", "<leader>ww", vim.diagnostic.setqflist)
      vim.keymap.set("i", "<C-h>", vim.lsp.buf.signature_help, opts)
      vim.keymap.set("n", "K", vim.lsp.buf.hover, opts)
      vim.keymap.set("n", "gd", vim.lsp.buf.definition, opts)
      vim.keymap.set("n", "gD", vim.lsp.buf.declaration, opts)
      vim.keymap.set("n", "gi", vim.lsp.buf.implementation, opts)
      vim.keymap.set("n", "gI", vim.lsp.buf.type_definition, opts)
      vim.keymap.set("n", "gr", vim.lsp.buf.references, opts)
      vim.keymap.set("n", "z=", vim.lsp.buf.code_action, opts)
      vim.keymap.set("n", "zr", vim.lsp.buf.rename, opts)
    end,
  },
}

require("rust-tools").setup(opts)
