setlocal nowrap

syntax region Col1 matchgroup=Col1 start='^'  end='\n'    contains=Col2
syntax region Col2 matchgroup=Col2 start='\t' end='\n\@=' contains=Col3
syntax region Col3 matchgroup=Col3 start='\t' end='\n\@=' contains=Col4,s,s2,s3,s4,s5,s6,s7,s8,s9
syntax region Col4 matchgroup=Col4 start='\t' end='\n\@=' contains=Col5,hlite2,hlite5,hlite8
syntax region Col5 matchgroup=Col5 start='\t' end='\n\@=' contains=Col6,hlite2,hlite5,hlite8
syntax region Col6 matchgroup=Col6 start='\t' end='\n\@=' contains=Col7
syntax region Col7 matchgroup=Col7 start='\t' end='\n\@=' contains=Col8,plus,minus,nostr
syntax region Col8 matchgroup=Col8 start='\t' end='\n\@=' contains=Col9,frzero,frone,frtwo
syntax region Col9 matchgroup=Col9 start='\t' end='\n\@=' contains=qstring,gid,tid,num,semi,geneName

syntax region comment matchgroup=comment start='#' end='\n\@='

syntax match s  'exon'        contained
syntax match s2 'transcript'  contained
syntax match s3 'gene'        contained
syntax match s4 'start_codon' contained
syntax match s5 'stop_codon'  contained
syntax match s6 'CDS'         contained
syntax match s7 '5UTR'        contained
syntax match s8 '3UTR'        contained
syntax match s9 'UTR'         contained

syntax match hlite8 '[0-9]\([0-9]\{8}\t\)\@=' contained
syntax match hlite5 '[0-9]\([0-9]\{5}\t\)\@=' contained
syntax match hlite2 '[0-9]\([0-9]\{2}\t\)\@=' contained

syntax match plus  '+'   contained
syntax match minus '-'   contained
syntax match nostr '\\.' contained

syntax match frzero '0' contained
syntax match frone  '1' contained
syntax match frtwo  '2' contained

syntax region qstring  matchgroup=qstring  start='\s"\@=' end=';\@=' contains=na,qnum

syntax region gid      matchgroup=gid      start='\(\(gene_id\)\s"\)\@=' end=';'       contains=qgen_id
syntax region tid      matchgroup=tid      start='\(\(transcript_id\)\s"\)\@=' end=';' contains=qtran_id
syntax region geneName matchgroup=geneName start='\(\(gene_name\)\s"\)\@=' end=';' contains=gene_name

syntax match num '\d' contained " unquoted numeric
syntax match semi ';' contained

syntax match na        '"NA"'                  contained " NA
syntax match qnum      '"[\\+\-0-9.e]*"'       contained " quoted numeric
syntax match qgen_id   '"\<[0-9A-Za-z.-_]*\>"' contained " gene_id
syntax match qtran_id  '"\<[0-9A-Za-z.-_]*\>"' contained " transcript_id
syntax match gene_name '"\<[0-9A-Za-z.-]*\>"'  contained " gene symbol

highlight link Col1 chr
highlight link Col2 software
highlight link Col3 normal
highlight link Col4 chrStart
highlight link Col5 chrEnd
highlight link Col6 numeric
highlight link Col7 strandNone
highlight link Col8 comment
highlight link Col9 comment

highlight link hlite2 chrStart2
highlight link hlite5 chrStart2
highlight link hlite8 chrStart2

highlight link plus  strandPlus
highlight link minus strandMinus
highlight link nostr strandNone

highlight link frzero keyword6
highlight link frone  keyword4
highlight link frtwo  string

highlight link gid      comment
highlight link qgen_id  geneLevel
highlight link tid      comment
highlight link qtran_id transcriptLevel
highlight link qstring  quoteString
highlight link na       keyword1

highlight link geneName  comment
highlight link gene_name geneSymbol
highlight link havName   keyword4
highlight link ont_name  keyword6

highlight link num  numeric
highlight link qnum numeric

highlight link s  exonLevel
highlight link s2 transcriptLevel
highlight link s3 geneLevel
highlight link s4 start_codon
highlight link s5 stop_codon
highlight link s6 cds
highlight link s7 utr
highlight link s8 utr
highlight link s9 utr

highlight	string	cterm=NONE	guibg=NONE	guifg=#FF4641	ctermbg=NONE	ctermfg=160
highlight	quoteString	cterm=NONE	guibg=NONE	guifg=#FF4641	ctermbg=NONE	ctermfg=160
highlight	numeric	cterm=NONE	guibg=NONE	guifg=#0087af	ctermbg=NONE	ctermfg=31
highlight	numeric2	cterm=NONE	guibg=NONE	guifg=#AE81FF	ctermbg=NONE	ctermfg=61
highlight	header	cterm=bold	guibg=#3E3D32	guifg=#E6DB74	ctermbg=0	ctermfg=253
highlight	headerbw	cterm=NONE	guibg=NONE	guifg=#BDB691	ctermbg=NONE	ctermfg=137
highlight	comment	cterm=NONE	guibg=NONE	guifg=#B1B1AF	ctermbg=NONE	ctermfg=250
highlight	comment2	cterm=NONE	guibg=NONE	guifg=#B1B1AF	ctermbg=NONE	ctermfg=245
highlight	url	cterm=NONE	guibg=NONE	guifg=#66D9EF	ctermbg=NONE	ctermfg=45

highlight	keyword1	cterm=NONE	guibg=NONE	guifg=#F92672	ctermbg=NONE	ctermfg=162
highlight	keyword2	cterm=NONE	guibg=NONE	guifg=#A6E22E	ctermbg=NONE	ctermfg=113
highlight	keyword3	cterm=NONE	guibg=NONE	guifg=#66D9EF	ctermbg=NONE	ctermfg=45
highlight	keyword4	cterm=NONE	guibg=NONE	guifg=#FD971F	ctermbg=NONE	ctermfg=166
highlight	keyword5	cterm=NONE	guibg=NONE	guifg=#AE81FF	ctermbg=NONE	ctermfg=61
highlight	keyword6	cterm=NONE	guibg=NONE	guifg=#E6DB74	ctermbg=NONE	ctermfg=178

highlight	genome	cterm=bold	guibg=NONE	guifg=#1E8449	ctermbg=NONE	ctermfg=28
highlight	chr	cterm=bold	guibg=NONE	guifg=#1E8449	ctermbg=NONE	ctermfg=28
highlight	chrStart	cterm=NONE	guibg=NONE	guifg=#1E8449	ctermbg=NONE	ctermfg=28
highlight	chrStart2	cterm=NONE	guibg=NONE	guifg=#00d75f	ctermbg=NONE	ctermfg=41
highlight	chrEnd	cterm=NONE	guibg=NONE	guifg=#1E8449	ctermbg=NONE	ctermfg=28
highlight	strandPlus	cterm=NONE	guibg=#4192FF	guifg=#000000	ctermbg=33	ctermfg=0
highlight	strandMinus	cterm=NONE	guibg=#F09000	guifg=#000000	ctermbg=166	ctermfg=0
highlight	strandNone	cterm=NONE	guibg=NONE	guifg=#B1B1AF	ctermbg=NONE	ctermfg=245
highlight	geneSymbol	cterm=NONE	guibg=NONE	guifg=#1E8449	ctermbg=NONE	ctermfg=28
highlight	geneLevel	cterm=bold	guibg=NONE	guifg=#1E8449	ctermbg=NONE	ctermfg=28
highlight	transcriptLevel	cterm=NONE	guibg=NONE	guifg=#4192FF	ctermbg=NONE	ctermfg=33
highlight	exonLevel	cterm=NONE	guibg=NONE	guifg=#AE81FF	ctermbg=NONE	ctermfg=61
highlight	cds	cterm=NONE	guibg=#000000	guifg=#A6E22E	ctermbg=0	ctermfg=113
highlight	start_codon	cterm=NONE	guibg=#4192FF	guifg=#000000	ctermbg=33	ctermfg=0
highlight	stop_codon	cterm=NONE	guibg=#FF4641	guifg=#000000	ctermbg=9	ctermfg=0
highlight	utr	cterm=NONE	guibg=#FFFFFF	guifg=#B1B1AF	ctermbg=15	ctermfg=245

