# FZF
if command -v fzf >/dev/null 2>&1; then
  if [ -n "$ZSH_VERSION" ]; then
     source /usr/share/doc/fzf/examples/key-bindings.zsh
     source /usr/share/doc/fzf/examples/completion.zsh
  fi
  if [ -n "$BASH_VERSION" ]; then
     source /usr/share/doc/fzf/examples/key-bindings.bash
  fi
  export FZF_DEFAULT_COMMAND="$((command -v fd >/dev/null 2>&1 && printf 'fd --type f --hidden --follow --exclude .git --exclude node_modules --strip-cwd-prefix') || \
    (command -v fdfind >/dev/null 2>&1 && printf 'fdfind --type f --hidden --follow --exclude .git --exclude node_modules --strip-cwd-prefix') || \
    (command -v rg >/dev/null 2>&1 && printf 'rg --files') || \
    (command -v ag >/dev/null 2>&1 && printf 'ag -g ""'))"
  export FZF_DEFAULT_OPTS="--no-mouse --height 20% --layout=reverse --info=inline --color=bg:-1,bg+:-1,hl:#E9A448,hl+:#CF866F,fg:-1,fg+:-1,pointer:-1"
  #     --color=fg:#e5e9f0,hl:#81a1c1
  #     --color=fg+:#e5e9f0,bg+:#3b4252,hl+:#81a1c1
  #     --color=info:#eacb8a,prompt:#bf6069,pointer:#b48dac
  #     --color=marker:#a3be8b,spinner:#b48dac,header:#a3be8b'
  export FZF_CTRL_R_OPTS="--layout=reverse-list --height 100%"
  export FZF_CTRL_T_OPTS="--layout=reverse-list --info=default --height 20% --preview='head {}' --preview-window right:50%"
  export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
fi

# Tmux
if [[ -z $TMUX && $XDG_SESSION_TYPE != "tty" ]]; then
  sessions=$(tmux ls 2>/dev/null | awk '! /attached/ { sub(":", "", $1); print $1; }' | xargs echo)
  # [[ -n "$(tmux ls 2>/dev/null)" ]] && echo -e "\033[5;33m▒\033[0m \033[33mTmux session(s) available:\033[0;32m $sessions\033[0m"
  [[ -n "$(tmux ls 2>/dev/null)"  && $sessions ]] && echo -e "\033[0;33mTmux session(s) available:\033[0;32m $sessions\033[0m"
fi

export EDITOR="nvim"
